# std::rel_ops Namespace Reference

The generated relational operators are sequestered here. More...

## Functions

template<class Type> bool | operator!= (const Type &x, const Type &y)
| Defines `!=` for arbitrary types, in terms of `==`.
template<class Type> bool | operator> (const Type &x, const Type &y)
| Defines `>` for arbitrary types, in terms of `<`.
template<class Type> bool | operator<= (const Type &x, const Type &y)
| Defines `<=` for arbitrary types, in terms of `<`.
template<class Type> bool | operator>= (const Type &x, const Type &y)
| Defines `>=` for arbitrary types, in terms of `<`.

## Detailed Description

The generated relational operators are sequestered here.

## Function Documentation

template<class Type>
bool operator!= | ( | const Type & | x,
|  | const Type & | y
| ) | `[inline]`

Defines `!=` for arbitrary types, in terms of `==`.

Parameters:

  | x | A thing.
  | y | Another thing.

Returns:
  x != y

This function uses `==` to determine its result.

Definition at line 92 of file stl_relops.h.

template<class Type>
bool operator<= | ( | const Type & | x,
|  | const Type & | y
| ) | `[inline]`

Defines `<=` for arbitrary types, in terms of `<`.

Parameters:

  | x | A thing.
  | y | Another thing.

Returns:
  x <= y

This function uses `<` to determine its result.

Definition at line 118 of file stl_relops.h.

template<class Type>
bool operator> | ( | const Type & | x,
|  | const Type & | y
| ) | `[inline]`

Defines `>` for arbitrary types, in terms of `<`.

Parameters:

  | x | A thing.
  | y | Another thing.

Returns:
  x > y

This function uses `<` to determine its result.

Definition at line 105 of file stl_relops.h.

template<class Type>
bool operator>= | ( | const Type & | x,
|  | const Type & | y
| ) | `[inline]`

Defines `>=` for arbitrary types, in terms of `<`.

Parameters:

  | x | A thing.
  | y | Another thing.

Returns:
  x >= y

This function uses `<` to determine its result.

Definition at line 131 of file stl_relops.h.